Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: MVC
Created: 2009-06-01 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Detection of new objects in argument handling fails
Description

The symptom is #1237305720: Argument "newBlog": Querying the repository for the specified object was not successful.

When looking closer it turns out that on the first error all is well, but when submitting a second time, the exception is thrown. The
reason is, that we rely on a new object to not have an UUID. But with the resolution of #3477 all entities get an UUID upon creation -
boom.

History
#1 - 2009-06-02 00:08 - Karsten Dambekalns

Possible fix: instead of the pointcut on <Entity>::__construct() use @within RepositoryInterface and method(add()) - then check the method argument,
modify if needed.

#2 - 2009-06-02 10:41 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#3 - 2009-06-02 15:25 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Resolved as of r2522
